<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ProductionQuantity;
use App\Models\User;

class ProductionQuantityPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ProductionQuantity');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('view ProductionQuantity');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ProductionQuantity');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('update ProductionQuantity');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('delete ProductionQuantity');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ProductionQuantity');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('restore ProductionQuantity');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ProductionQuantity');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('replicate ProductionQuantity');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ProductionQuantity');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ProductionQuantity $productionquantity): bool
    {
        return $user->checkPermissionTo('force-delete ProductionQuantity');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ProductionQuantity');
    }
}
